E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::OptionsLayout Struct Reference

Describes the layout for G::Options output. More...

`#include <goptions.h>`

## Public Member Functions
| OptionsLayout (std::size_t column)
| OptionsLayout (std::size_t column, std::size_t width)
OptionsLayout & | set_column (std::size_t)
OptionsLayout & | set_extra (bool=true)
OptionsLayout & | set_level (unsigned int)
OptionsLayout & | set_level_if (bool, unsigned int)
OptionsLayout & | set_level_exact (bool=true)
OptionsLayout & | set_alt_usage (bool=true)

## Public Attributes
std::string | separator
| separator between syntax and description More...
std::size_t | column
| left hand column width if no separator (includes margin) More...
std::size_t | width
| overall width for wrapping, or zero for none More...
std::size_t | width2
| width after the first line, or zero for 'width' More...
std::size_t | margin
| spaces to the left of the syntax part More...
unsigned int | level
| show options at-or-below this level More...
bool | level_exact
| .. or exactly at that level More...
bool | extra
| include descriptions' extra text More...
bool | alt_usage
| use alternate "usage:" string More...

## Detailed Description

Describes the layout for G::Options output.

Definition at line 39 of file goptions.h.

## Constructor & Destructor Documentation

## ◆ OptionsLayout() [1/3]

G::OptionsLayout::OptionsLayout | ( |  | ) |

Definition at line 184 of file goptions.cpp.

## ◆ OptionsLayout() [2/3]

G::OptionsLayout::OptionsLayout | ( | std::size_t | column | ) |
| explicit

Definition at line 197 of file goptions.cpp.

## ◆ OptionsLayout() [3/3]

G::OptionsLayout::OptionsLayout | ( | std::size_t | column,
|  | std::size_t | width
| ) |  |

Definition at line 210 of file goptions.cpp.

## Member Function Documentation

## ◆ set_alt_usage()

G::OptionsLayout & G::OptionsLayout::set_alt_usage | ( | bool | au = `true` | ) |
| inline

Definition at line 211 of file goptions.h.

## ◆ set_column()

G::OptionsLayout & G::OptionsLayout::set_column | ( | std::size_t | c | ) |
| inline

Definition at line 206 of file goptions.h.

## ◆ set_extra()

G::OptionsLayout & G::OptionsLayout::set_extra | ( | bool | e = `true` | ) |
| inline

Definition at line 207 of file goptions.h.

## ◆ set_level()

G::OptionsLayout & G::OptionsLayout::set_level | ( | unsigned int | l | ) |
| inline

Definition at line 208 of file goptions.h.

## ◆ set_level_exact()

G::OptionsLayout & G::OptionsLayout::set_level_exact | ( | bool | le = `true` | ) |
| inline

Definition at line 210 of file goptions.h.

## ◆ set_level_if()

G::OptionsLayout & G::OptionsLayout::set_level_if | ( | bool | b,
|  | unsigned int | l
| ) |  |
| inline

Definition at line 209 of file goptions.h.

## Member Data Documentation

## ◆ alt_usage

bool G::OptionsLayout::alt_usage

use alternate "usage:" string

Definition at line 49 of file goptions.h.

## ◆ column

std::size_t G::OptionsLayout::column

left hand column width if no separator (includes margin)

Definition at line 42 of file goptions.h.

## ◆ extra

bool G::OptionsLayout::extra

include descriptions' extra text

Definition at line 48 of file goptions.h.

## ◆ level

unsigned int G::OptionsLayout::level

show options at-or-below this level

Definition at line 46 of file goptions.h.

## ◆ level_exact

bool G::OptionsLayout::level_exact

.. or exactly at that level

Definition at line 47 of file goptions.h.

## ◆ margin

std::size_t G::OptionsLayout::margin

spaces to the left of the syntax part

Definition at line 45 of file goptions.h.

## ◆ separator

std::string G::OptionsLayout::separator

separator between syntax and description

Definition at line 41 of file goptions.h.

## ◆ width

std::size_t G::OptionsLayout::width

overall width for wrapping, or zero for none

Definition at line 43 of file goptions.h.

## ◆ width2

std::size_t G::OptionsLayout::width2

width after the first line, or zero for 'width'

Definition at line 44 of file goptions.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/goptions.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/goptions.cpp